<template>
  <view class="container">
    <view class="info-text">Please wait...</view>
  </view>
</template>

<script>
import settings from '../../settings';
import auth from '@/utils/auth';
  export default {
    data() {
      return {
        
      }
    },
    onLoad(options) {
      if (settings.isDebug) {
        console.log("支付完成页面-参数", options);
      }
      if (options.c) {
        this.init(options.c);
      } else if (options.creditHistoryPk) {
        //auth.setPaymentId(options.creditHistoryPk);
        this.init(options.creditHistoryPk);
      }
    },
    methods: {
      init(pk) {
        //getApp().globalData.waitPayment = true;
        uni.redirectTo({
          url: "/pages/charge/index?pk=" + pk
        });
      }
    }
  }
</script>

<style>
.info-text {
  color: #999;
  font-size: 30rpx;
  padding-top: 20vh;
  text-align: center;
}
</style>
